=== debian/changelog ===
webapi (4.2.0) bullseye bookworm trixie forky duke; urgency=medium

  * New backend version

 -- Andreas Ley <andreas.ley@kit.edu>  Mon, 03 Nov 2025 18:09:48 +0100

webapi (3.2.7) buster bullseye bookworm; urgency=medium

  * Fix transaction usage (now array reference manadatory if no options
    specified)
  * Fix internal transaction calls
  * Adapt is_dnsvs for first sub-FQDN found

 -- Andreas Ley <andreas.ley@kit.edu>  Sat, 25 May 2024 17:17:07 +0200

webapi (3.2.6) buster bullseye bookworm; urgency=medium

  * Added options to transaction, implement dict_mode
  * fqdn: Changed --check to --exist (--check legal but deprecated)
  * fqdn: Added --dnsvs option

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 23 May 2024 10:30:46 +0200

webapi (3.2.5) buster bullseye bookworm; urgency=medium

  * fqdn: Changed -C to -e
  * fqdn: Added -C/--create option

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 21 May 2024 22:45:38 +0200

webapi (3.2.4) buster bullseye bookworm; urgency=medium

  * Updated WebAPI server name

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 02 Apr 2024 16:43:39 +0200

webapi (3.2.3) stretch buster bullseye bookworm; urgency=medium

  * Use NetAddr::IP->canon for dns.record calls

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 02 Dec 2022 00:42:01 +0100

webapi (3.2.2) stretch buster bullseye bookworm; urgency=medium

  * Replaced service by meta

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 04 Aug 2022 23:14:11 +0200

webapi (3.2.1) stretch buster bullseye bookworm; urgency=medium

  * Replace target_ipaddr_cidr by data for dns/record/list

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 03 Jun 2022 15:47:33 +0200

webapi (3.2.0) stretch buster bullseye bookworm; urgency=medium

  * New backend version
  * Replaced all 'host' fqdn types by 'domain'

 -- Andreas Ley <andreas.ley@kit.edu>  Mon, 16 May 2022 14:10:52 +0200

webapi (3.0.13) stretch buster bullseye bookworm; urgency=medium

  * Fix is_nonterminal() to return simple perl boolean

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 03 Mar 2022 22:41:18 +0100

webapi (3.0.12) stretch buster bullseye bookworm; urgency=medium

  * Added is_nonterminal()
  * txt: Upgrade to domain when is_nonterminal fails (instead of is_domain)

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 23 Feb 2022 05:31:52 +0100

webapi (3.0.11) stretch buster bullseye bookworm; urgency=medium

  * Added is_alias()
  * Changed update_fqdn_type() to literal type
  * cname: Change preexisting FQDN to alias type if not already
  * fqdn: Added --type option

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 30 Jul 2021 22:07:02 +0200

webapi (3.0.10) stretch buster bullseye bookworm; urgency=medium

  * Add TMPDIR to tempfile in write_config()

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 07 Apr 2021 14:33:33 +0200

webapi (3.0.9) stretch buster bullseye bookworm; urgency=medium

  * Read NetVS token from ~/.config/netdb_client.ini even if HOME isn't defined
  * Moved module to semantic versioning

 -- Andreas Ley <andreas.ley@kit.edu>  Sat, 03 Apr 2021 02:05:23 +0200

webapi (3.0.8) stretch buster bullseye bookworm; urgency=medium

  * Use Term::Cap only when TERM is definied

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 31 Mar 2021 07:38:16 +0200

webapi (3.0.7) stretch buster bullseye bookworm; urgency=medium

  * Added write_config()

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 25 Mar 2021 12:40:15 +0100

webapi (3.0.6) stretch buster bullseye bookworm; urgency=medium

  * create_a(): Check whether an option is defined AND evaluates to true

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 05 Jan 2021 14:01:07 +0100

webapi (3.0.5) stretch buster bullseye bookworm; urgency=medium

  * Implement token authentication

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 25 Nov 2020 00:48:04 +0100

webapi (3.0.4) stretch buster bullseye bookworm; urgency=medium

  * create_a(): Use JSON booleans

 -- Andreas Ley <andreas.ley@kit.edu>  Sat, 21 Nov 2020 23:27:44 +0100

webapi (3.0.3) stretch buster bullseye bookworm; urgency=medium

  * fqdn: Added -l and -C option

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 20 Nov 2020 00:37:57 +0100

webapi (3.0.2) stretch buster bullseye bookworm; urgency=medium

  * txt: Only upgrade to domain when not already domain
  * list_a(): Replace target_ipaddr_cidr request by more performant
    api_fkey_dns_record_target_ipaddr transaction

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 18 Nov 2020 19:23:10 +0100

webapi (3.0.1) stretch buster bullseye bookworm; urgency=medium

  * Migrate all calls to API 3.0 syntax

 -- Andreas Ley <andreas.ley@kit.edu>  Sun, 15 Nov 2020 21:27:45 +0100

webapi (3.0.0) stretch buster bullseye bookworm; urgency=medium

  * Integrate changes from Klara Mall <klara.mall@kit.edu>

 -- Andreas Ley <andreas.ley@kit.edu>  Sat, 14 Nov 2020 21:02:57 +0100

webapi (2.0.6) stretch buster bullseye bookworm; urgency=medium

  * CNAMES have changed from alias:0000 to alias:1000

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 16 Apr 2020 17:28:14 +0200

webapi (2.0) stretch buster bullseye bookworm; urgency=medium

  * Initial Release.

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 15 Mar 2019 19:34:23 +0100
