=== debian/control ===
Source: webapi
Maintainer: Andreas Ley <andreas.ley@kit.edu>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://andy.scc.kit.edu/source/Local/webapi-4.2.0/

Package: webapi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends},
         libnetaddr-ip-perl,
         libjson-perl,
         libwww-perl,
         libhttp-message-perl
Description: Perl interface to KIT SCC NET WebAPI
 The network section (NET) of the Scientific Computing Center (SCC)
 at the Karlsruhe Institute of Technology (KIT) uses a custom Web API
 for managing Domain Name System (DNS) records. This is a perl
 library with convenience functions to handle the most common use
 cases using this API.
